Timers
Base Module

## Classes

class | itpp::Timer
| A virtual base class for timers. More...
class | itpp::CPU_Timer
| A CPU time timer class. More...
class | itpp::Real_Timer
| A real time timer class. More...

## Functions

void | itpp::tic ()
| Reset and start timer.
double | itpp::toc ()
| Returns the elapsed time since last tic()
void | itpp::toc_print ()
| Prints the elapsed time since last tic()
void | itpp::pause (double t=-1)
| pause

## Detailed Description

## Function Documentation

## tic()

ITPP_EXPORT void itpp::tic | ( |  | ) |

Reset and start timer.

Definition at line 154 of file timing.cpp.

References itpp::__tic_toc_timer, and itpp::Timer::tic().

## toc()

ITPP_EXPORT double itpp::toc | ( |  | ) |

Returns the elapsed time since last tic()

Definition at line 159 of file timing.cpp.

References itpp::__tic_toc_timer, and itpp::Timer::toc().

## toc_print()

ITPP_EXPORT void itpp::toc_print | ( |  | ) |

Prints the elapsed time since last tic()

Definition at line 164 of file timing.cpp.

References itpp::__tic_toc_timer, and itpp::Timer::toc_print().

## pause()

ITPP_EXPORT void itpp::pause | ( | double | t = `-1` | ) |

pause

pause(n);
itpp::pause
void pause(double t)
pause
Definition timing.cpp:169

Pauses for n seconds before continuing

pause();

Pauses until a key is pressed

Definition at line 169 of file timing.cpp.

References itpp::Timer::get_time(), and itpp::Timer::start().

Generated on Mon Jun 10 2024 11:49:30 for IT++ by Doxygen 1.9.8